import request from '@/utils/request'
// import {baseUrl} from '../super-whale-uc'
export const baseUrl = process.env.VUE_APP_BASEURL;

export function login(data) {
  return request({
    url: '/user/login',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/user/info',
    method: 'get',
    params: {
      token
    }
  })
}

export function logout() {
  return request({
    url: '/user/logout',
    method: 'post'
  })
}

export function saveUser(data) {
  return request({
    url: baseUrl + 'uc/user',
    method: 'post',
    data
  })
}

export function updateUser(data) {
  return request({
    url: baseUrl + 'uc/user',
    method: 'put',
    data
  })
}

export function deleteUser(id) {
  return request({
    url: baseUrl + 'uc/user/' + id,
    method: 'delete',
  })
}
export function getUserInfoByEmail(email) {
  return request({
    url: baseUrl + 'uc/user/user-info/' + email,
    method: 'post',
  })
}

export function pageUser(data) {
  return request({
    url: baseUrl + 'uc/user/user-info/page',
    method: 'post',
    data
  })
}
export function pageRealUser(data) {
  return request({
    url: baseUrl + 'uc/user/real-info/page',
    method: 'post',
    data
  })
}
export function getRealUserDetail(id) {
  return request({
    url: baseUrl + 'uc/user/real-info/' + id,
    method: 'get',
  })
}
export function auditRealUser(data) {
  return request({
    url: baseUrl + 'uc/user/real-info/audit',
    method: 'put',
    data
  })
}
export function countUser(systemId) {
  return request({
    url: baseUrl + 'uc/user/countUser/' + systemId,
    method: 'get',
  })
}
export function countUserData(data) {
  return request({
    url: baseUrl + 'uc/user/countUser',
    method: 'post',
    data
  })
}
export function countUserReviews() {
  return request({
    url: 'deviews/reviews/count-user-reviews',
    method: 'get',
  })
}
export function statisUserReviews(data) {
  return request({
    url: 'deviews/reviews/statis-user-reviews',
    method: 'post',
    data: data
  })
}

export function userList(data) {
  return request({
    url: baseUrl + 'uc/user/list',
    method: 'post',
    data: data
  })
}

export function currentUser() {
  return request({
    url: baseUrl + 'uc/user/current',
    method: 'get',
  })
}

export function userDetailByAddress(address, data) {
  return request({
    url: 'deviews/user/' + address,
    method: 'post',
    data: data
  })
}
export function pageSysAccountTransfer(data) {
  return request({
    url: 'deviews/user/system-account/page',
    method: 'post',
    data: data
  })
}
export function getSysAccountBalance(data) {
  return request({
    url: 'deviews/user/sys-account-balance/' + data,
    method: 'get',
  })
}

export function pageRewardCount(data) {
  return request({
    url: 'deviews/reward-record/page-project',
    method: 'post',
    data: data
  })
}


export function pageRewardRecord(data) {
  return request({
    url: 'deviews/reward-record/page-record',
    method: 'post',
    data: data
  })
}
export function pageWithdrawalRecord(data) {
  return request({
    url: 'deviews/user/page-withdrawal',
    method: 'post',
    data: data
  })
}


export function pageDvUser(data) {
  return request({
    url: 'deviews/user/page',
    method: 'post',
    data
  })
}


export function saveUserExtension(data) {
  return request({
    url: 'deviews/user-extension',
    method: 'post',
    data
  })
}
export function delUserExtension(id) {
  return request({
    url: 'deviews/user-extension/' + id,
    method: 'delete'
  })
}
export function pageUserExtension(data) {
  return request({
    url: 'deviews/user-extension/page',
    method: 'post',
    data
  })
}
export function resetPassword(data) {
  return request({
    url: baseUrl + 'uc/user/reset-password',
    method: 'put',
    data
  })
}
export function validUsername(username) {
  return request({
    url: baseUrl + 'uc/user/valid/' + username,
    method: 'get',
  })
}