package com.ichaoj.ams.controller;

import cn.hutool.core.util.StrUtil;
import com.ichaoj.ams.request.address.BatchAddressRequest;
import com.ichaoj.ams.request.address.BatchKeyStoreRequest;
import com.ichaoj.ams.request.address.SubscribeAddressRequest;
import com.ichaoj.ams.service.IAmsAddressAccountService;
import com.ichaoj.common.annotation.AuthResource;
import com.ichaoj.common.exception.ErrorServiceException;
import com.ichaoj.common.model.PublicResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 焦竞健
 * @description TODO
 * @date 2022/4/15 10:37
 */
@RestController
@RequestMapping("/address")
@Tag(name = "地址模块")
public class AddressController {

    @Resource
    IAmsAddressAccountService addressService;

    @Operation(summary = "获取地址余额")
    @GetMapping("/balance/{address}")
    public PublicResult<BigDecimal> getAddressBalance(@PathVariable("address") String address) {
        //TODO
        return PublicResult.success(null);
    }


    @Operation(summary = "订阅地址")
    @PostMapping("/subscribe")
    public PublicResult<Object> getAddressBalance(@RequestBody SubscribeAddressRequest subscribeAddressRequest) {
        //TODO
        return PublicResult.success(null);
    }

    @Operation(summary = "批量创建钱包")
    @PostMapping("/generate/batch-address")
    @AuthResource
    public PublicResult<List<String>> batchCreateAddress(@RequestBody @Validated BatchAddressRequest batchAddressRequest) {
        return PublicResult.success(addressService.batchCreateAddress(batchAddressRequest));
    }

    @Operation(summary = "批量下载keystore文件")
    @PostMapping("/download/batch-keystore")
    @AuthResource
    @Validated
    public void batchKeystore(HttpServletResponse response,@RequestBody @Validated BatchKeyStoreRequest keyStoreRequest) {
        addressService.batchKeystore(keyStoreRequest.getGroupName(), keyStoreRequest.getPassword(), response);
    }

    @Operation(summary = "添加精品号")
    @PostMapping("/add/premium-address")
    @AuthResource
    public PublicResult<Object> addPremiumAddress(@RequestBody SubscribeAddressRequest subscribeAddressRequest) {
        if (StrUtil.isBlank(subscribeAddressRequest.getAddress())) {
            throw new ErrorServiceException("The address cannot be blank");
        }
        addressService.addPremiumAddress(subscribeAddressRequest.getAddress());
        return PublicResult.success();
    }

}
