package com.ichaoj.ams.controller;

import cn.hutool.core.bean.BeanUtil;
import com.ichaoj.ams.entity.AmsAuto;
import com.ichaoj.ams.request.auto.CreateAuto;
import com.ichaoj.ams.request.auto.UpdateAuto;
import com.ichaoj.ams.service.IAmsAutoService;
import com.ichaoj.common.annotation.AuthResource;
import com.ichaoj.common.model.PublicResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author : cjwen
 * @date : 2023/05/10 10:21
 */
@RestController
@RequestMapping("/auto")
@Tag(name = "自动化交互")
public class AutoController {


    @Resource
    private IAmsAutoService autoService;

    @PostMapping
    @Operation(summary = "创建自动化")
    @AuthResource(true)
    public PublicResult<Object> createAuto(@RequestBody CreateAuto createAuto) {
        autoService.save(BeanUtil.copyProperties(createAuto, AmsAuto.class));
        return PublicResult.success();
    }

    @PutMapping
    @Operation(summary = "修改自动化")
    @AuthResource(true)
    public PublicResult<Object> updateAuto(@RequestBody @Validated UpdateAuto updateAuto) {
        autoService.updateById(BeanUtil.copyProperties(updateAuto, AmsAuto.class));
        return PublicResult.success();
    }

    @DeleteMapping("/{autoId}")
    @Operation(summary = "删除自动化")
    @AuthResource(true)
    public PublicResult<Object> deleteAirdropProject(@PathVariable String autoId) {
        autoService.removeById(autoId);
        return PublicResult.success();
    }
    
}
