package com.ichaoj.ams.controller;

import com.ichaoj.ams.request.transaction.TransactionRequest;
import com.ichaoj.ams.service.IAmsTransactionService;
import com.ichaoj.common.annotation.AuthResource;
import com.ichaoj.common.model.PublicResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author : cjwen
 * @date : 2023/05/10 10:22
 */
@RestController
@RequestMapping("/transaction")
@Tag(name = "交易模块")
public class TransactionController {

    @Resource
    private IAmsTransactionService transactionService;

    @PostMapping
    @Operation(summary = "查询交易列表")
    @AuthResource
    public PublicResult<Object> transactionList(@RequestBody TransactionRequest transactionRequest) {

        return PublicResult.success(transactionService.list());
    }

}
