package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 空投项目
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
@Getter
@Setter
@TableName("ams_airdrop_project")
public class AmsAirdropProject implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ams_project_id", type = IdType.ASSIGN_UUID)
    private String amsProjectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目logo
     */
    private String projectLogo;

    /**
     * 预估费用
     */
    private BigDecimal estimatedCost;

    /**
     * 项目相关url
     */
    private String projectUrl;

    /**
     * 官网地址
     */
    private String projectWebsite;

    /**
     * 空投状态
     */
    private String status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
