package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 空投项目任务
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
@Getter
@Setter
@TableName("ams_airdrop_task")
public class AmsAirdropTask implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ams_task_id", type = IdType.ASSIGN_UUID)
    private String amsTaskId;

    /**
     * 空投项目id
     */
    private String airdropProjectId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 合约地址
     */
    private String contractAddress;

    /**
     * 任务交互api
     */
    private String taskApi;

    /**
     * 任务交互url
     */
    private String taskUrl;

    /**
     * 任务类型
     */
    private String taskType;

    /**
     * 任务状态;是否完成(0否，1是)
     */
    private String taskStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
