package com.ichaoj.ams.request.address;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;

/**
 * @author : cjwen
 * @date : 2023/04/25 17:41
 */
@Data
@Schema(title = "批量创建地址请求")
public class BatchAddressRequest {

    @Schema(title = "钱包数量")
    @Min(value = 1,message = "The minimum number of wallets is 1")
    private Integer numWallet;

    @Schema(title = "keystore密码")
    @NotBlank(message = "keystore password cannot be null")
    private String password;

    @Schema(title = "当前地址组名称")
    @NotBlank(message = "groupName cannot be null")
    private String groupName;
}
