package com.ichaoj.ams.service;

import com.ichaoj.ams.entity.AmsAddressAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ichaoj.ams.request.address.BatchAddressRequest;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 地址管理 服务类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
public interface IAmsAddressAccountService extends IService<AmsAddressAccount> {
    /**
     * 批量创建钱包地址
     *
     * @param batchAddressRequest 请求参数
     * @return 地址列表
     */
    List<String> batchCreateAddress(BatchAddressRequest batchAddressRequest);

    /**
     * 添加精品号
     *
     * @param address 精品号地址
     */
    void addPremiumAddress(String address);

    /**
     * 批量下载keystore文件
     *
     * @param groupName 地址组名
     * @param password  keystore密码
     * @param response  http 响应
     */
    void batchKeystore(String groupName, String password, HttpServletResponse response);

    /**
     * 判断用户是否创建了地址组
     *
     * @param groupName 地址组名称
     * @param userId    用户id
     * @return 是否创建
     */
    boolean checkGroupName(String groupName, String userId);
}
