package com.ichaoj.ams.service;

import com.ichaoj.ams.common.util.ZipTool;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.util.zip.ZipOutputStream;

/**
 * @author luheng
 * @create 2019/8/14
 */
@Service
public class ZipService {

    public void create(String userId, String sourceFilePath, String zipFilePath, String fileName, String suffix, HttpServletResponse response) {
        try {
            createZip(sourceFilePath + userId, zipFilePath + File.separator + userId + File.separator + fileName + suffix, response);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    public void createFile(String sourceFilePath, String string, String path, String name) throws IOException {
        File file = new File(sourceFilePath);
        //如果文件夹不存在
        if (!file.exists()) {
            //创建文件夹
            file.mkdirs();
        }
        FileWriter fileWriter = null;
        fileWriter = new FileWriter(path + File.separator + name);
        fileWriter.write(string);
        fileWriter.flush();
        fileWriter.close();
    }

    /**
     * sourceFilePath：需要被压缩的文件路径
     *
     * @param path:生成存放压缩包的文件路径+压缩包名称.后缀
     * @param response
     * @throws Exception
     */
    public void createZip(String sourceFilePath, String path, HttpServletResponse response) throws Exception {
        File fileZip = new File(path);
        FileOutputStream outStream = new FileOutputStream(fileZip);
        ZipOutputStream toClient = new ZipOutputStream(outStream);
        ZipTool.compress(new File(sourceFilePath), toClient, "", true);
        toClient.close();
        outStream.close();
        // 下载,并删除临时文件zip
        ZipTool.downloadFile("", fileZip, response, true);
    }
}
